Bug 849173 (CVE-2012-3489) - CVE-2012-3489 postgresql: File disclosure through XXE in xmlparse by DTD validation
Summary: CVE-2012-3489 postgresql: File disclosure through XXE in xmlparse by DTD vali...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-3489
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20120817,reported=2...
Depends On: 849174 852018 852019 852020 852021
Blocks: 849179
TreeView+ depends on / blocked
 
Reported: 2012-08-17 15:03 UTC by Jan Lieskovsky
Modified: 2019-06-08 19:13 UTC (History)
3 users (show)

Fixed In Version: postgresql 9.1.5, postgresql 9.0.9, postgresql 8.4.13, postgresql 8.3.20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-13 20:01:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1263 normal SHIPPED_LIVE Moderate: postgresql and postgresql84 security update 2012-09-13 21:14:24 UTC

Description Jan Lieskovsky 2012-08-17 15:03:21 UTC
An XML External Entities (XXE) attack was found in the way xmlparse routine, used for producing of xml data type value from character data, of PostgreSQL, an advanced Object-Relational database management system (DBMS), performed parsing of provided character data. An unprivileged database user could issue a specially-crafted SQL query to the PostgreSQL server that, when processed could lead to attacker's ability to read arbitrary system files, accessible with privileges of the user running the PostgreSQL server.

References:
[1] http://www.postgresql.org/docs/8.3/static/release-8-3-20.html
[2] http://www.postgresql.org/docs/9.0/static/release-9-0-9.html
[3] http://www.postgresql.org/docs/9.1/static/release-9-1-5.html

Comment 1 Jan Lieskovsky 2012-08-17 15:11:05 UTC
This issue affects the versions of the postgresql package, as shipped with Fedora release of 16 and 17. Please schedule an update.

Comment 2 Jan Lieskovsky 2012-08-17 15:12:19 UTC
Created postgresql tracking bugs for this issue

Affects: fedora-all [bug 849174]

Comment 4 Fedora Update System 2012-08-26 00:21:47 UTC
postgresql-9.1.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2012-08-26 00:25:59 UTC
postgresql-9.1.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Jan Lieskovsky 2012-08-27 10:04:17 UTC
This issue did NOT affect the version of the postgresql package, as shipped with Red Hat Enterprise Linux 5 as it did not include support for XML data type yet.

--

This issue affects the version of the postgresql84 package, as shipped with
Red Hat Enterprise Linux 5.

--

This issue affects the version of the postgresql package, as shipped with
Red Hat Enterprise Linux 6.

Comment 12 Vincent Danen 2012-09-12 17:38:22 UTC
Acknowledgements:

Red Hat would like to thank the PostgreSQL project for reporting this
issue. Upstream acknowledges Noah Misch as the original reporter.

Comment 13 errata-xmlrpc 2012-09-13 17:17:55 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1263 https://rhn.redhat.com/errata/RHSA-2012-1263.html


Note You need to log in before you can comment on or make changes to this bug.